JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const countries = await client.connect.countries.list();
console.log(countries.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
countries = client.connect.countries.list()
print(countries.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
countries, err := client.Connect.Countries.List(context.TODO(), mobileruncloud.ConnectCountryListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", countries.Items)
}
mobilerun-cloud connect:countries list \
--api-key 'My API Key'curl --request GET \
--url https://api.mobilerun.ai/connect/countries \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"code": "us",
"name": "United States",
"proxyTypes": [
"dedicated_residential"
]
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 123,
"pageSize": 123,
"pages": 123,
"total": 123
}
}Countries
List available countries
Lookup of countries that can be selected when creating a proxy. Each country lists the proxy types available there; without a ?type filter, every covered country is returned.
GET
/
connect
/
countries
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const countries = await client.connect.countries.list();
console.log(countries.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
countries = client.connect.countries.list()
print(countries.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
countries, err := client.Connect.Countries.List(context.TODO(), mobileruncloud.ConnectCountryListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", countries.Items)
}
mobilerun-cloud connect:countries list \
--api-key 'My API Key'Authorizations
Bearer token via Authorization header
Query Parameters
Page number (1-based).
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Filter to countries offering this proxy type.
Available options:
dedicated_residential, residential, mobile Was this page helpful?
⌘I